Create International Wire Transfer (GQL)

Note: All the payment API's have the endpoint: /graphql

Use this API for Payment of funds using SWIFT Network. You need to specify the account details of originator and recipient.
An outgoing Credit can be initiated using this Payment Rail.

Please checkout the page at SWIFT to understand more about SWIFT Payment Rail.

During the lifecycle of a transfer, its status may undergo changes. Refer to the Transfer Status page at Transfer Status for detailed descriptions associated with each status.

The address information is available at Address Info

Body Params

Following are the details on the GraphQL fields :

ParameterDescriptionMandatoryData TypeExample
paymentRailThe type of transfer.YesStringACH
paymentTypeThe payment type.YesStringCREDIT
amountThe amount to be transferred.YesNumber1000.00
originatorThe originator of the transfer.YesStringJohn Doe
recipientThe recipient of the transfer.YesStringJane Smith
referenceThe reference of the transfer.YesStringInvoice 123
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!